Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.ifs.beans
Class SystemObject

    java.lang.Object

      |

      +--oracle.ifs.beans.LibraryObject

            |

            +--oracle.ifs.beans.TieLibraryObject

                  |

                  +--oracle.ifs.beans.SystemObject

All Implemented Interfaces:
  IfsEventHandler, LibraryObjectInterface, SystemObjectInterface, Traceable

Direct Known Subclasses:
  TieSystemObject

public class SystemObject
extends TieLibraryObject
implements SystemObjectInterface

The SystemObject is the superclass for all system-wide utility classes. SystemObjects, like SchemaObjects, can be seen by anyone but can only be manipulated by a user with Admin privleges. Examples of SystemObjects are Format and Relationship.

Field Summary
`static java.lang.String` | `ACTIVE_ATTRIBUTE` The status of the SystemObject.
`static java.lang.String` | `CLASS_NAME` This class name for this class.
`static java.lang.String` | `POLICYBUNDLE_ATTRIBUTE` A PolicyBundle associated with the SystemObject.
`static java.lang.String` | `PROPERTYBUNDLE_ATTRIBUTE` A PropertyBundle associated with the SystemObject.

Method Summary
`PolicyPropertyBundle` | `getPolicyBundle()` get the Policy PropertyBundle.
`PropertyBundle` | `getPropertyBundle()` returns this object's PropertyBundle.
`boolean` | `isActive()` get the Active status.
`void` | `putPolicy(Policy policy)` add a Policy to this object's POLICYBUNDLE PropertyBundle.
`void` | `putProperty(AttributeValue av)` add a Property to this object's PropertyBundle.
`void` | `putProperty(java.lang.String name, AttributeValue av)` add a Property to this object's PropertyBundle.
`void` | `removeAllPolicies()` remove all Policies from this object's POLICYYBUNDLE PropertyBundle, leaving an empty PropertyBundle.
`void` | `removeAllProperties()` remove all Properties from this object's PropertyBundle, leaving an empty PropertyBundle.
`void` | `removePolicy(Policy policy)` remove a Policy from this object's POLICYBUNDLE PropertyBundle.
`void` | `removePolicy(java.lang.String opname)` remove a Policy from this object's POLICYBUNDLE PropertyBundle.
`void` | `removeProperty(java.lang.String name)` remove a Property from this object's PropertyBundle.
`void` | `setActive(boolean active)` set the ACTIVE attribute for this object.
`void` | `setPolicyBundle(PolicyPropertyBundle bundle)` set the POLICYBUNDLE attribute to a PropertyBundle for this object, for the managing of per-instance Policies..
`void` | `setPropertyBundle(PropertyBundle bundle)` set this object's PropertyBundle.

Methods inherited from class oracle.ifs.beans.LibraryObject
`equals, free, free, getAttribute, getAttributeByUpperCaseName, getAttributes, getAttributesByUpperCaseNames, getClassId, getClassObject, getDefinition, getId, getLabel, getName, getSession, handleEvent, hasNameAttribute, invokeServerMethod, isInstanceOf, isTraced, lookupInstanceLabel, postEvent, postEvent, renderAsReader, renderAsStream, setAttribute, setAttribute, setAttributes, setAttributes, setName, toString, trace, update`

Methods inherited from interface oracle.ifs.common.LibraryObjectInterface
`getId`

Methods inherited from interface oracle.ifs.common.Traceable
`getTraceLogger, isTraced, trace`

Field Detail

### CLASS_NAME

    public static final java.lang.String CLASS_NAME

  This class name for this class. Useful for methods that take a class name argument.

### POLICYBUNDLE_ATTRIBUTE

    public static final java.lang.String POLICYBUNDLE_ATTRIBUTE

  A PolicyBundle associated with the SystemObject.

### ACTIVE_ATTRIBUTE

    public static final java.lang.String ACTIVE_ATTRIBUTE

  The status of the SystemObject.

### PROPERTYBUNDLE_ATTRIBUTE

    public static final java.lang.String PROPERTYBUNDLE_ATTRIBUTE

  A PropertyBundle associated with the SystemObject.

Method Detail

### setActive

    public void setActive(boolean active)
                   throws IfsException

  set the ACTIVE attribute for this object. This toggles between an active and inactive status for the object.
  Parameters:
    `active` - the new Active status value
  Throws:
    `IfsException` - if operation fails.

### isActive

    public boolean isActive()
                     throws IfsException

  get the Active status. Return false if no attribute can be retrieved.
  Returns:
    boolean the status for this object

### getPropertyBundle

    public PropertyBundle getPropertyBundle()
                                     throws IfsException

  returns this object's PropertyBundle. Returns null if no PropertyBundle was specified.
  Returns:
    PropertyBundle for the object.
  Throws:
    `IfsException` - if operation fails.

### setPropertyBundle

    public void setPropertyBundle(PropertyBundle bundle)
                           throws IfsException

  set this object's PropertyBundle.
  Parameters:
    `bundle` - the Properties setting.
  Throws:
    `IfsException` - if operation fails.

### putProperty

    public void putProperty(AttributeValue av)
                     throws IfsException

  add a Property to this object's PropertyBundle. Creates a new PropertBundle if one does not already exist.
  Parameters:
    `av` - the name/value of the property to add
  Throws:
    `IfsException` - if operation fails.

### putProperty

    public void putProperty(java.lang.String name,
                            AttributeValue av)
                     throws IfsException

  add a Property to this object's PropertyBundle. Creates a new PropertBundle if one does not already exist.
  Parameters:
    `name` - the name of the new property
    `value` - the value of the new property
  Throws:
    `IfsException` - if operation fails.

### removeProperty

    public void removeProperty(java.lang.String name)
                        throws IfsException

  remove a Property from this object's PropertyBundle.
  Parameters:
    `av` - the name of the property to remove
  Throws:
    `IfsException` - if operation fails.

### removeAllProperties

    public void removeAllProperties()
                             throws IfsException

  remove all Properties from this object's PropertyBundle, leaving an empty PropertyBundle.
  Throws:
    `IfsException` - if operation fails.

### setPolicyBundle

    public void setPolicyBundle(PolicyPropertyBundle bundle)
                         throws IfsException

  set the POLICYBUNDLE attribute to a PropertyBundle for this object, for the managing of per-instance Policies..
  Parameters:
    `bundle` - the PolicyBundle setting.
  Throws:
    `IfsException` - if operation fails.

### getPolicyBundle

    public PolicyPropertyBundle getPolicyBundle()
                                         throws IfsException

  get the Policy PropertyBundle. Return null if no Policies are specified.
  Returns:
    Policy PropertyBundle for the object.
  Throws:
    `IfsException` - if operation fails.

### putPolicy

    public void putPolicy(Policy policy)
                   throws IfsException

  add a Policy to this object's POLICYBUNDLE PropertyBundle. If POLICYBUNDLE is null, throw an exception.
  Parameters:
    `policy` - the Policy to add
  Throws:
    `IfsException` - if operation fails.

### removePolicy

    public void removePolicy(java.lang.String opname)
                      throws IfsException

  remove a Policy from this object's POLICYBUNDLE PropertyBundle. This does not create a "dedicated" PropertBundle if there is not one defined already..
  Parameters:
    `av` - the operation name of the policy to remove
  Throws:
    `IfsException` - if operation fails.

### removePolicy

    public void removePolicy(Policy policy)
                      throws IfsException

  remove a Policy from this object's POLICYBUNDLE PropertyBundle. This does not create a "dedicated" PropertBundle if there is not one defined already..
  Parameters:
    `av` - the operation name of the policy to remove
  Throws:
    `IfsException` - if operation fails.

### removeAllPolicies

    public void removeAllPolicies()
                           throws IfsException

  remove all Policies from this object's POLICYYBUNDLE PropertyBundle, leaving an empty PropertyBundle. This does not create a "dedicated" PropertBundle if there is not one defined already.
  Throws:
    `IfsException` - if operation fails.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD